> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 Token 地址查询币种价格

> 通过合约地址在受支持的平台（Ethereum、BSC、Polygon 等）上查询到的代币当前价格。



## OpenAPI

````yaml openapi/zh/coingecko.json GET /coingecko/simple/token_price/{id}
openapi: 3.0.3
info:
  title: CoinGecko API
  version: 1.0.0
  description: >-
    通过 AIsa 网关路由的 CoinGecko 加密货币市场数据。涵盖代币元数据、实时和历史价格、OHLC、交易所、行情代码、类别及热门搜索。代理位于
    `https://api.coingecko.com/api/v3/` 的公共 CoinGecko v3 API。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /coingecko/simple/token_price/{id}:
    get:
      summary: 按 Token 地址查询币种价格
      description: 按合约地址获取受支持平台上一种或多种代币的当前价格。
      operationId: coingeckoTokenPriceByAddress
      parameters:
        - name: id
          in: path
          required: true
          description: 平台 ID（例如 `ethereum`、`binance-smart-chain`、`polygon-pos`）。
          schema:
            type: string
          example: ethereum
        - name: contract_addresses
          in: query
          required: true
          description: 以逗号分隔的合约地址。
          schema:
            type: string
          example: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
        - name: vs_currencies
          in: query
          required: true
          description: 以逗号分隔的目标货币。
          schema:
            type: string
          example: usd
        - name: include_market_cap
          in: query
          schema:
            type: boolean
        - name: include_24hr_vol
          in: query
          schema:
            type: boolean
        - name: include_24hr_change
          in: query
          schema:
            type: boolean
        - name: include_last_updated_at
          in: query
          schema:
            type: boolean
        - name: precision
          in: query
          schema:
            type: string
          description: 使用 `full` 或 `0` 到 `18` 之间的值指定货币价格值的小数位数。
          example: '2'
      responses:
        '200':
          description: 以合约地址为键的映射。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinGeckoSimplePriceMap'
components:
  schemas:
    CoinGeckoSimplePriceMap:
      type: object
      additionalProperties:
        type: object
        additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: AISA API Key

````